component: VideoStreamDiag
proto_imports:
  - base/diag/monitors/stale/messages.proto
  - base/diag/monitors/runtime/messages.proto
metric: zoox::diag::EmptyMetric
namespace: zoox::teleop
faults:
  - id: 1
    name: CameraCaptureRuntimeLow
    severity: WARNING
    description: Runtime of a camera capture below threshold
    freeze_frame: zoox.diag.RuntimeFreezeFrame
  - id: 2
    name: CameraCaptureRuntimeHigh
    severity: WARNING
    description: Runtime of a camera capture above threshold
    freeze_frame: zoox.diag.RuntimeFreezeFrame
  - id: 3
    name: CameraCaptureRuntimeStale
    severity: WARNING
    description: Runtime of a camera capture is stale
    freeze_frame: zoox.diag.StaleFreezeFrame
  - id: 4
    name: AvcodecEncodingRuntimeLow
    severity: WARNING
    description: Runtime of an avcodec encoding below threshold
    freeze_frame: zoox.diag.RuntimeFreezeFrame
  - id: 5
    name: AvcodecEncodingRuntimeHigh
    severity: WARNING
    description: Runtime of an avcodec encoding above threshold
    freeze_frame: zoox.diag.RuntimeFreezeFrame
  - id: 6
    name: AvcodecEncodingRuntimeStale
    severity: WARNING
    description: Runtime of an avcodec encoding is stale
    freeze_frame: zoox.diag.StaleFreezeFrame
  - id: 7
    name: GStreamerPushBufferFailure
    severity: WARNING
    description: gst_app_src_push_buffer function call failed
  - id: 8
    name: AvcodecEncodingFailure
    severity: WARNING
    description: avcodec_encode_video2 function call failed
